from ensight.objs import *

output_vrml_prefix = "C:/temp/vrml_model"
index_num_digits = 3

for step in range(core.TIMESTEP_LIMITS[0], core.TIMESTEP_LIMITS[1]+1):
    ensight.solution_time.current_step(step)
    ensight.solution_time.update_to_current()

    filename = output_vrml_prefix + str(step).zfill(index_num_digits)

    ensight.savegeom.format("vrml")
    ensight.savegeom.begin_step(step)
    ensight.savegeom.end_step(step)
    ensight.savegeom.step_by(1)
    ensight.savegeom.save_geometric_entities(filename)



